New Search

MySQL 6.0 and 5.1 XPath Expression DOS Vulnerability

oval:org.mitre.oval:def:7544

sql/item_xmlfunc.cc in MySQL 5.1 before 5.1.32 and 6.0 before 6.0.10 allows remote authenticated users to cause a denial of service (crash) via "an XPath expression employing a scalar expression as a FilterExpr with ExtractValue() or UpdateXML()" which triggers an assertion failure.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Server 2008
  • Microsoft Windows Vista
  • Microsoft Windows 7
  • Microsoft Windows Server 2003
  • Microsoft Windows 2000
  • Microsoft Windows XP
Class:
vulnerability
Reference(s):
  • CVE-2009-0819
Product(s):
  • MySQL Server 6.0
  • MySQL Server 5.1